Delete an invoice | Moov Documentation
Delete an invoice
Delete an invoice. Only invoices in draft status can be deleted.
Deleting an invoice indicates it was created by mistake and should be completely disregarded. Deleted invoices are hidden from list results by default, but can still be retrieved individually through the get invoice endpoint. If you need to void an invoice that was already sent or is otherwise part of the invoice history, cancel it instead by updating its status to canceled.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/invoices.write scope.
DELETE
/accounts/{accountID}/invoices/{invoiceID}
Request Example
curl -X DELETE "https://api.moov.io/accounts/{accountID}/invoices/{invoiceID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Code Examples
JavaScript example using Moov SDK
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.invoices.delete({
accountID: "<id>",
invoiceID: "<id>",
});
console.log(result);
}
run();
PHP example
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\